Showing results for 
Search instead for 
Do you mean 
Community Home Request Access Read Blogs Share Your Ideas Search Community View My Settings
Reply
Copper Contributor
Posts: 9
Registered: ‎07-31-2013
Accepted Solution

Can not run SLXProviderPlugin.exe

[ Edited ]

Hi, i have version 7.5.3 LAN, and when i try to replace the default security for a new one, i have to do this 2 steps:

 

  • SLXPluginBuilder.exe -n BrrWrapper.dll 

to compile the new security .DLL, and

 

  • SLXProviderPlugin.exe -m SecWrapper.xml --udl new.udl

to install it...

 

 

but on the last one, i get this error:

"ERROR: install utility requires the use of the saleslogix ole db provider"

"FAILED: pluggin did not install"

 

this works fine on my development environment, but here crashes.

I tried to install the OLEDB PROVIDER again, but still the same error... The only diference between dev and prod is that dev uses SQL2005 (so i created de UDL using MICROSOFT SQL OLEDB PROVIDER) and prod uses  SQL2008 (so i used for the UDL file the MICROSOFT SQL 10.1 NATVIVE CLIENT provider)

 

Anyone knows what am i doing wrong?

I read something about x64 versions, and that u have to unregister and register again some dlls.. but no sucess either..

 

Also, SALESLOGIX OLEDB PROVIDER is not showed when editing the UDL on none of the systems (DEV or PROD)

 

Any clues?

Thanks and best regards..

Silver Super Contributor
Posts: 801
Registered: ‎03-24-2009

Re: Can not run SLXProviderPlugin.exe

This is something you will need to take up with the provider (of BrrWrapper.dll) as they will probably know more/reason.
Highlighted
Employee
Posts: 629
Registered: ‎04-24-2009

Re: Can not run SLXProviderPlugin.exe

Hi Raul,

 

You must use the SLXOLEDB provider. Please see the following section in the Saleslogix Implementation Guide:

 

  • Creating a 32-bit OLE DB UDL

 

Thanks

 

Mike

Copper Contributor
Posts: 9
Registered: ‎07-31-2013

Re: Can not run SLXProviderPlugin.exe

[ Edited ]

Thanks for the responses both! Man Tongue

 

I've read it, and the only thing i didnt be able to do, is to use the "SalesLogix OLE DB Provider" when creating the UDL, as its not on the list..but on DEV i used "MICROSOFT OLE DB PROVIDER FOR SQL SERVER", and it works fine...(SQL on dev is 2005)

 

I think that somehow, SLX OLE DB PROVIDER MUST be installed on the server no matter if u use it or no...

 

Problem is that even if i double click on that OLEDB PROVIDER INSTALL on the DVD, and after that reinstall the SP3 to update it.. it's still not showed on the list of available ole db providers, when creating the UDL file...

 

Some how, i need to know how to make them appear on the list...

 

Anyone?

 

Employee
Posts: 629
Registered: ‎04-24-2009

Re: Can not run SLXProviderPlugin.exe

Hi Raul,

 

Please try the following; it differs slightly from the documentation:

 

  1. Create a blank file named "Test.udl" and place it in %ProgramFiles(x86)%\SalesLogix\.
  2. Run the following command on a 64 bit box (Windows+R):
%windir%\SysWoW64\rundll32.exe "%CommonProgramFiles(x86)%\System\Ole DB\oledb32.dll",OpenDSLFile %ProgramFiles(x86)%\SalesLogix\Test.udl

Note: You may have to move Test.udl to another location, depending on permissions. Also, the UDL location should [not] be quoted in the command line; you may get an error otherwise.

 

Alternatively, you can hand edit the UDL:

 

[oledb]
; Everything after this line is an OLE DB initstring
Provider=SLXOLEDB.1;Password="YOUR_ADMIN_PASSWORD";Persist Security Info=True;User ID=admin;Initial Catalog=YOUR_CATALOG;Data Source=YOUR_DATASOURCE;Extended Properties="PORT=1706;LOG=ON;CASEINSENSITIVEFIND=ON;"

 

Thanks

 

Mike

Copper Contributor
Posts: 9
Registered: ‎07-31-2013

Re: Can not run SLXProviderPlugin.exe

[ Edited ]

That worked!!! Cat Happy

Using the first command makes de UDL config to show a lot more providers than double clicking it normally, including the SALESLOGIX OLEDB PROVIDER, so i can choose it, and now all worked fine!!

Many many many thanks

 

NOTE: After that, if i double clik the UDL now, it says: "Cant find provider, make sure that the pluggin was installed" but never mind as long as it worked now!!

Employee
Posts: 629
Registered: ‎04-24-2009

Re: Can not run SLXProviderPlugin.exe

Glad to help. Regarding double-clicking, yes, that will cause the 64 bit version of oledb32.dll to be used and is why you have to run the 32 bit version via command-line.

 

Thanks

 

Mike